## ubuntuit-vanilla-theme

Questo è il tema di Ubuntu-it per [Vanilla Framework][vanilla], un framework
CSS di Canonical Ldt. È una leggera personalizzazione del
[tema vanilla per ubuntu][ubuntu-theme], che si adatta meglio alle nostre
esigenze.

Il tema è rilasciato sotto licenza GNU-LGPL v3.

[vanilla]: https://github.com/ubuntudesign/vanilla-framework
[ubuntu-theme]: https://github.com/ubuntudesign/ubuntu-vanilla-theme

### Inclusione in un progetto SCSS esterno

Per prima cosa installare questo repository git come pacchetto npm. Dopo aver
fatto ciò, supponendo che il file scss si trovi nella stessa directory di
`node_modules`, si può includere il tema con il seguente codice scss:

```sass
@import 'node_modules/ubuntuit-vanilla-theme/scss/theme';
@include ubuntuit-vanilla-theme
```

### Generazione di una build

Per generare una build del css, è necessario posizionarsi nel repository,
installare le dipendenze con `npm install`, ed eseguire il comando `gulp`. La
build generata sarà salvata nel file `build.css`.

### Demo

È presente una demo dentro la directory `demo/`, sia con lo stile delle pagine
su Ubuntu, sia con lo stile per le pagine sulla comunità. È necessario prima
generare una build del tema.
